xAIBezahltBetriebsbereit
Grok 4 Thinking
API-Modellname: grok-4-thinking
Grok 4 Thinking ist das Chat-Modell von xAI, bereitgestellt über die einheitliche API von Api.Airforce. Es kostet 1,57 € pro Million Eingabe-Tokens und 1,57 € pro Million Ausgabe-Tokens. Greife über die OpenAI-kompatible API mit einem einzigen Schlüssel darauf zu — zusammen mit über 65 weiteren Modellen auf Api.Airforce.
Preise
Spezifikationen
- Anbieter
- xAI
- Typ
- Chat-Modell
Benchmarks
Unabhängige Bewertungen und gemessene Geschwindigkeit von Artificial Analysis.
Intelligenz-Index
41.5/100
Coding-Index
40.5/100
Mathe-Index
92.7/100
MMLU-Pro87%
GPQA Diamond88%
Humanity's Last Exam24%
LiveCodeBench82%
AIME 202593%
MATH-50099%
Quelle: Benchmark data by Artificial Analysis (artificialanalysis.ai)
Wofür wird Grok 4 Thinking verwendet?
- Chatbots & Assistenten — konversationelle KI, Textentwürfe, Zusammenfassungen und Q&A.
Grok 4 Thinking vs. ähnliche Modelle
| Modell | Intelligenz | Kontext | Input / 1M | Output / 1M |
|---|---|---|---|---|
| Grok 4 Thinking | 41.5 | — | 1,57 € | 1,57 € |
| Grok 2 Vision | — | — | 2,73 € | 13,61 € |
| Grok 3 | — | — | 0,39 € | 1,97 € |
| Grok 3 Deepsearch | — | — | 0,37 € | 1,86 € |
Preise sind Api.Airforce Pay-as-you-go-Tarife pro 1M Token. Der Kontext ist die maximale Eingabelänge.
Verwandte Modelle
Grok 2 VisionxAI · 2,73 € / 1MGrok 3xAI · 0,39 € / 1MGrok 3 DeepsearchxAI · 0,37 € / 1MGrok 3 FastxAI · 6,79 € / 1MGrok 3 MinixAI · 0,05 € / 1MGrok 3 Mini FastxAI · 0,81 € / 1MGrok 3 ReasonerxAI · 0,37 € / 1MGrok 4xAI · 0,61 € / 1MGrok 4 FastxAI · 0,13 € / 1MGrok 4 FreexAI · KostenlosGrok 4 HeavyxAI · KostenlosGrok 4.1 ExpertxAI · 1,57 € / 1M
Grok 4 Thinking — häufig gestellte Fragen
- Was kostet Grok 4 Thinking?
- Grok 4 Thinking wird Pay-as-you-go abgerechnet: 1,57 € pro 1M Input-Token und 1,57 € pro 1M Output-Token. Kein Abonnement — du zahlst nur, was du verwendest.
- Was kann Grok 4 Thinking?
- Grok 4 Thinking ist das Chat-Modell von xAI, zugänglich über die Api.Airforce API.
- Ist Grok 4 Thinking kostenlos nutzbar?
- Grok 4 Thinking ist ein kostenpflichtiges Pay-as-you-go-Modell — kein Abonnement, du wirst nur für die tatsächliche Nutzung berechnet.
- Wie verwende ich Grok 4 Thinking über die API?
- Grok 4 Thinking ist OpenAI-kompatibel. Richte ein beliebiges OpenAI SDK auf https://api.airforce/v1 aus und übergib die Modell-ID grok-4-thinking zusammen mit deinem Api.Airforce API-Key.
- Von wem stammt Grok 4 Thinking?
- Grok 4 Thinking ist das Chat-Modell von xAI, bereitgestellt über das einheitliche Api.Airforce-Gateway neben 100+ weiteren Modellen.
Live-Metriken werden geladen…
Live-Metriken werden geladen…
Live-Metriken werden geladen…
Grok 4 Thinking über die API nutzen
OpenAI-kompatibel — richte ein beliebiges OpenAI-SDK auf https://api.airforce/v1 und übergib grok-4-thinking als Modell.
cURL
curl https://api.airforce/v1/chat/completions \
-H "Authorization: Bearer $AIRFORCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "grok-4-thinking",
"messages": [{ "role": "user", "content": "Hello!" }]
}'Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
r = client.chat.completions.create(
model="grok-4-thinking",
messages=[{"role": "user", "content": "Hello!"}],
)
print(r.choices[0].message.content)JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const r = await client.chat.completions.create({
model: "grok-4-thinking",
messages: [{ role: "user", content: "Hello!" }],
});
console.log(r.choices[0].message.content);